Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ParticipationInformationRecipient

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ParticipationInformationRecipient

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ParticipationInformationRecipient

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Participation Information Recipient', and utility methods for working with them. specDomain: V10263 (C-0-D10901-V10263-cpt)

See Also:
  `CDAR2Package.getParticipationInformationRecipient()`

Field Summary
`static int` | `IRCP` The 'IRCP' literal value.
`static ParticipationInformationRecipient` | `IRCP_LITERAL` The 'IRCP' literal object.
`static int` | `NOT` The 'NOT' literal value.
`static ParticipationInformationRecipient` | `NOT_LITERAL` The 'NOT' literal object.
`static int` | `PRCP` The 'PRCP' literal value.
`static ParticipationInformationRecipient` | `PRCP_LITERAL` The 'PRCP' literal object.
`static int` | `REFB` The 'REFB' literal value.
`static ParticipationInformationRecipient` | `REFB_LITERAL` The 'REFB' literal object.
`static int` | `REFT` The 'REFT' literal value.
`static ParticipationInformationRecipient` | `REFT_LITERAL` The 'REFT' literal object.
`static int` | `TRC` The 'TRC' literal value.
`static ParticipationInformationRecipient` | `TRC_LITERAL` The 'TRC' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Participation Information Recipient' enumerators.

Method Summary
`static ParticipationInformationRecipient` | `get(int value)` Returns the 'Participation Information Recipient' literal with the specified integer value.
`static ParticipationInformationRecipient` | `get(java.lang.String literal)` Returns the 'Participation Information Recipient' literal with the specified literal value.
`static ParticipationInformationRecipient` | `getByName(java.lang.String name)` Returns the 'Participation Information Recipient' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IRCP

    public static final int IRCP

  The 'IRCP' literal value.

  If the meaning of 'IRCP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IRCP_LITERAL`, Constant Field Values

### NOT

    public static final int NOT

  The 'NOT' literal value.

  If the meaning of 'NOT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NOT_LITERAL`, Constant Field Values

### PRCP

    public static final int PRCP

  The 'PRCP' literal value.

  If the meaning of 'PRCP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRCP_LITERAL`, Constant Field Values

### REFB

    public static final int REFB

  The 'REFB' literal value.

  If the meaning of 'REFB' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REFB_LITERAL`, Constant Field Values

### REFT

    public static final int REFT

  The 'REFT' literal value.

  If the meaning of 'REFT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REFT_LITERAL`, Constant Field Values

### TRC

    public static final int TRC

  The 'TRC' literal value.

  If the meaning of 'TRC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TRC_LITERAL`, Constant Field Values

### IRCP_LITERAL

    public static final ParticipationInformationRecipient IRCP_LITERAL

  The 'IRCP' literal object.

  See Also:
    `IRCP`

### NOT_LITERAL

    public static final ParticipationInformationRecipient NOT_LITERAL

  The 'NOT' literal object.

  See Also:
    `NOT`

### PRCP_LITERAL

    public static final ParticipationInformationRecipient PRCP_LITERAL

  The 'PRCP' literal object.

  See Also:
    `PRCP`

### REFB_LITERAL

    public static final ParticipationInformationRecipient REFB_LITERAL

  The 'REFB' literal object.

  See Also:
    `REFB`

### REFT_LITERAL

    public static final ParticipationInformationRecipient REFT_LITERAL

  The 'REFT' literal object.

  See Also:
    `REFT`

### TRC_LITERAL

    public static final ParticipationInformationRecipient TRC_LITERAL

  The 'TRC' literal object.

  See Also:
    `TRC`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Participation Information Recipient' enumerators.

Method Detail

### get

    public static ParticipationInformationRecipient get(java.lang.String literal)

  Returns the 'Participation Information Recipient' literal with the specified literal value.

### getByName

    public static ParticipationInformationRecipient getByName(java.lang.String name)

  Returns the 'Participation Information Recipient' literal with the specified name.

### get

    public static ParticipationInformationRecipient get(int value)

  Returns the 'Participation Information Recipient' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD